from django import template
from django.urls import reverse
from django.utils.html import mark_safe

from ..models import Content


register = template.Library()


@register.simple_tag
def available_content():
    sections = []

    for type in ['projects', 'events', 'works', 'texts']:
        if Content.objects.filter(type__name=type, published=True).exists():
            sections.append([
                reverse(type),
                type.upper()
            ])
    return sections

@register.filter
def admin_thumbnail(row):
    from photologue.models import Photo
    p = None
    if 'for="id_photos_' in row.get('label_for'):
        try:
            p = Photo.objects.get(pk=row['option_value'])
        except:
            pass
    elif 'for="id_related_content_' in row.get('label_for'):
        try:
            p = Content.objects.get(pk=row['option_value'])
        except:
            pass
    else:
        print(row)

    if p:
        try:
            return mark_safe(p.admin_thumbnail() + ' ')
        except:
            pass
    return ''
